SEQ(1)

BEZEICHNUNG
seq - eine Zahlenfolge ausgeben

ÜBERSICHT
seq [OPTION]… LETZTE
seq [OPTION]… ERSTE LETZTE
seq [OPTION]… ERSTE SCHRITTWEITE LETZTE

BESCHREIBUNG

Die Zahlen von ERSTE bis LETZTE in Schritten von SCHRITTWEITE ausgeben.

Die obligatorischen Argumente für Optionen sind für deren Kurz- und Langform gleich.

-f, --format=FORMAT
    Gleitkomma‐FORMAT im Stil von printf benutzen

-s, --separator=ZEICHENKETTE
    ZEICHENKETTE benutzen, um Zahlen zu trennen (Vorgabe: \n)

-w, --equal-width
    Gleiche Breite durch führende Nullen herstellen

--help
    zeigt Hilfeinformationen an und beendet das Programm.

--version
    gibt Versionsinformationen aus und beendet das Programm.

Wenn ERSTE oder SCHRITTWEITE weggelassen werden, wird 1 angenommen. Eine weggelassene SCHRITTWEITE wird also als 1 interpretiert, selbst wenn LETZTE kleiner als ERSTE ist. Die Zahlensequenz endet, wenn die Summe aus der aktuellen Zahl und der SCHRITTWEITE größer wird als LETZTE. ERSTE, SCHRITTWEITE und LETZTE werden als Gleitkommazahlen interpretiert. SCHRITTWEITE ist normalerweise positiv, wenn ERSTE kleiner als LETZTE ist und SCHRITTWEITE ist normalerweise negativ, wenn ERSTE größer als LETZTE ist. SCHRITTWEITE darf nicht 0 sein; jedes der Argumente ERSTE, SCHRITTWEITE und LETZTE muss eine Zahl sein. FORMAT muss in der Lage sein, ein Argument vom Typ »double« auszugeben; standardmäßig ist es %.PRÄZf wenn ERSTE, SCHRITTWEITE und LETZTE alle dezimale Fixkommazahlen mit einer maximalen Genauigkeit PRÄZ sind, ansonsten %g.

AUTOR
Geschrieben von Ulrich Drepper.

FEHLER MELDEN
Onlinehilfe für GNU coreutils: https://www.gnu.org/software/coreutils/
Melden Sie Fehler in der Programmübersetzung an das deutschsprachige Team beim GNU Translation Project (https://translationproject.org/team/de.html).

SIEHE AUCH
Vollständige Dokumentation unter: <https://www.gnu.org/software/coreutils/seq>
oder lokal verfügbar mit: info '(coreutils) seq invocation'

Paketiert durch Debian (9.7-2)
Copyright © 2025 Free Software Foundation, Inc.
Lizenz GPLv3+: GNU GPL Version 3 oder neuer <https://gnu.org/licenses/gpl.html>.
Dies ist freie Software: Sie können sie verändern und weitergeben.
Es gibt KEINE GARANTIE, soweit gesetzlich zulässig.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Karl Eichwalder <ke@suse.de>, Lutz Behnke <lutz.behnke@gmx.de>, Michael Piefel <piefel@debian.org>, Michael Schmidt <michael@guug.de>, Mario Blättermann <mario.blaettermann@gmail.com> und Dr. Tobias Quathamer <toddy@debian.org> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer: debian-l10n-german@lists.debian.org.